Real-Time Measurement and Control

cancel
Showing results for 
Search instead for 
Did you mean: 

LabVIEW FPGA Programming

Hi

        I just want to  know  what all steps are needed in order to develop an FPGA VI... we are using RIO (NI PCI 5640R) which is inserted in the PCI slot. In the beginning I want to run a VI for addition.So first of all we have to create a new project and under My Computer, create new Target and devices,right?For creating new FPGA  target,we have to select a particular target from the list...But for our case which target is to be taken,,R series??

 

 

Thanks... 

0 Kudos
Message 1 of 5
(2,147 Views)

The new target you should select is the 5640R. If this is not shown in the list then you do not have the driver for the 5640R installed. Also once you install the driver then you will have some examples specific to the card that you can get started with.

 

The NI-5640R software installer provides several examples as an instructional starting point for your own PCI-5640R projects. The examples include both NI-5640R driver software examples and examples for programming your NI PCI-5640R using LabVIEW FPGA. You can access these examples from the Start menu at All Programs»National Instruments»NI-5640R»Examples.

 

Help Files fot the 5640R

 

NI-5640R 1.2 Driver

authored by
Christian L, CLA
Applications Engineering Senior Manager - Automotive and Transportation
NI - Austin, TX


  
0 Kudos
Message 2 of 5
(2,138 Views)

Hi,

 

  Thanx for the reply.I downloaded the driver software and installed..Yet PCI 5640R is not listed in the FPGA Target in the new Project Explorer( under My Computer->New->Target and devices) .But the 5640R is detected in the windows device manager under RIO devices...Why it happens so?and any additional software is to be installed or any fault with PCI bus?

 

Thanks and regards.... 

 

0 Kudos
Message 3 of 5
(2,111 Views)

Do you know if your board is supported in the version of LabVIEW that you are trying to use? If you can't see the board within LabVIEW, that sounds to me that the driver for the board does not have support for the version of LV that you are using.

 

0 Kudos
Message 4 of 5
(2,088 Views)

Hi

 

We are using LabVIEW 8.5.1 and labVIEW FPGA module of version 8.5.1 and it is mentioned in the 'getting started guide' that we can use either use LabVIEW FPGA module or 5640R Instrument driver...Here we using FPGA module...ie no need of 5640R Instrument driver,right?But we installed 5640R driver(1.2) too..We tested again with each of the software only..But it was not detected..

0 Kudos
Message 5 of 5
(2,077 Views)